groovy.lang

## Class MetaClassRegistryChangeEvent

- java.lang.Object
- - java.util.EventObject
  - - groovy.lang.MetaClassRegistryChangeEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class MetaClassRegistryChangeEvent
      extends java.util.EventObject

  An event used to propagate meta class updates
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetaClassRegistryChangeEvent(java.lang.Object source, java.lang.Object instance, java.lang.Class clazz, MetaClass oldMetaClass, MetaClass newMetaClass)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class` | `getClassToUpdate()`
    `java.lang.Object` | `getInstance()`
    `MetaClass` | `getNewMetaClass()`
    `MetaClass` | `getOldMetaClass()`
    `MetaClassRegistry` | `getRegistry()`
    `boolean` | `isPerInstanceMetaClassChange()`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MetaClassRegistryChangeEvent

          public MetaClassRegistryChangeEvent(java.lang.Object source,
                                      java.lang.Object instance,
                                      java.lang.Class clazz,
                                      MetaClass oldMetaClass,
                                      MetaClass newMetaClass)

  - ### Method Detail

    - #### getClassToUpdate

          public java.lang.Class getClassToUpdate()

    - #### getNewMetaClass

          public MetaClass getNewMetaClass()

    - #### getOldMetaClass

          public MetaClass getOldMetaClass()

    - #### isPerInstanceMetaClassChange

          public boolean isPerInstanceMetaClassChange()

    - #### getInstance

          public java.lang.Object getInstance()

    - #### getRegistry

          public MetaClassRegistry getRegistry()